# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Format Class Reference

`#include <format.h>`

Inheritance diagram for KABC::Format:

[legend]
List of all members.

## Public Member Functions

virtual bool | load (AddressBook *, const QString &fileName)=0
virtual bool | save (AddressBook *, const QString &fileName)=0

## Detailed Description

Deprecated:
  use FormatPlugin instead

Definition at line 34 of file format.h.

## Member Function Documentation

virtual bool KABC::Format::load | ( | AddressBook * | ,
|  | const QString & | fileName
| ) | `[pure virtual]`

| Load addressbook from file. Implemented in KABC::VCardFormat.

virtual bool KABC::Format::save | ( | AddressBook * | ,
|  | const QString & | fileName
| ) | `[pure virtual]`

| Save addressbook to file. Implemented in KABC::VCardFormat.

The documentation for this class was generated from the following file:

- format.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003